Bug 22342 - No drives found
No drives found
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-15 07:45 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-28 09:58:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-12-15 07:45:27 EST
When trying to update from RedHat 6.2 to 7.0 the following error appears 
in both graphical and text mode:

"No drives found
An error occured - no valid devices were found on which to create new 
filesystems. Please check your hardware for the cause of this problem"

After pressing ok to this, the system immediately reboots.

I have also tried to use the available update diskette, but this didn't 
solve the problem at all.

My system is a Dell Server 1300 with a PERC/2 controller.

Here is my fstab file:
/dev/sda1               /                       ext2    defaults        1 1
/dev/sda8               /data                   ext2    defaults        1 2
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,ro 0 0
/dev/sda5               /usr                    ext2    defaults        1 2
/dev/sda6               /var                    ext2    defaults        1 2
/dev/sda7               swap                    swap    defaults        0 0
/dev/fd0                /mnt/floppy             ext2    noauto,owner    0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/pts                devpts  gid=5,mode=620  0 0

here's the output to dmesg:
Linux version 2.2.12-20 (root@porky.devel.redhat.com) (gcc version egcs-
2.91.66 19990314/Linux (egcs-1.1.2 release)) #1 Mon Sep 27 1
0:40:35 EDT 1999
Detected 448625398 Hz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 447.28 BogoMIPS
Memory: 257324k/262080k available (1008k kernel code, 412k reserved, 2932k 
data, 64k init)
DENTRY hash table entries: 262144 (order: 9, 2097152 bytes)
Buffer-cache hash table entries: 262144 (order: 8, 1048576 bytes)
Page-cache hash table entries: 65536 (order: 6, 262144 bytes)
VFS: Diskquotas version dquot_6.4.0 initialized
CPU: Intel Pentium III (Katmai) stepping 03
Checking 386/387 coupling... OK, FPU using exception 16 error reporting.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.35a (19990819) Richard Gooch (rgooch@atnf.csiro.au)
PCI: PCI BIOS revision 2.10 entry at 0xfc86e
PCI: Using configuration type 1
PCI: Probing PCI hardware
Linux NET4.0 for Linux 2.2
Based upon Swansea University Computer Society NET3.039
NET4: Unix domain sockets 1.0 for Linux NET4.0.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
TCP: Hash tables configured (ehash 262144 bhash 65536)
Initializing RT netlink socket
Starting kswapd v 1.5 
Detected PS/2 Mouse Port.
Serial driver version 4.27 with MANY_PORTS MULTIPORT SHARE_IRQ enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
pty: 256 Unix98 ptys configured
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.9)
Real Time Clock Driver v1.09
RAM disk driver initialized:  16 RAM disks of 4096K size
PIIX4: IDE controller on PCI bus 00 dev 39
PIIX4: not 100% native mode: will probe irqs later
    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:pio
hdc: SAMSUNG SC-140B, ATAPI CDROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hdc: ATAPI 40X CD-ROM drive, 128kB Cache
Uniform CDROM driver Revision: 2.56
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
md driver 0.90.0 MAX_MD_DEVS=256, MAX_REAL=12
raid5: measuring checksumming speed
raid5: MMX detected, trying high-speed MMX checksum routines
   pII_mmx   :   998.601 MB/sec
   p5_mmx    :  1048.893 MB/sec
   8regs     :   770.382 MB/sec
   32regs    :   432.054 MB/sec
using fastest function: p5_mmx (1048.893 MB/sec)
scsi : 0 hosts.
scsi : detected total.
md.c: sizeof(mdp_super_t) = 4096
Partition check:
RAMDISK: Compressed image found at block 0
autodetecting RAID arrays
autorun ...
... autorun DONE.
EXT2-fs warning: checktime reached, running e2fsck is recommended
VFS: Mounted root (ext2 filesystem).
(scsi0) <Adaptec AHA-294X SCSI host adapter> found at PCI 17/0
(scsi0) Narrow Channel, SCSI ID=7, 16/255 SCBs
(scsi0) Warning - detected auto-termination
(scsi0) Please verify driver detected settings are correct.
(scsi0) If not, then please properly set the device termination
(scsi0) in the Adaptec SCSI BIOS by hitting CTRL-A when prompted
(scsi0) during machine bootup.
(scsi0) Cables present (Int-50 NO, Ext-50 NO)
(scsi0) Downloading sequencer code... 406 instructions downloaded
(scsi1) <Adaptec AIC-7890/1 Ultra2 SCSI host adapter> found at PCI 11/0
(scsi1) Wide Channel, SCSI ID=7, 32/255 SCBs
(scsi1) Downloading sequencer code... 374 instructions downloaded
scsi0 : Adaptec AHA274x/284x/294x (EISA/VLB/PCI-Fast SCSI) 5.1.20/3.2.4
       <Adaptec AHA-294X SCSI host adapter>
scsi1 : Adaptec AHA274x/284x/294x (EISA/VLB/PCI-Fast SCSI) 5.1.20/3.2.4
       <Adaptec AIC-7890/1 Ultra2 SCSI host adapter>
scsi : 2 hosts.
(scsi0:0:4:0) Synchronous at 10.0 Mbyte/sec, offset 15.
  Vendor: HP        Model: CD-Writer+ 9200   Rev: 1.0c
  Type:   CD-ROM                             ANSI SCSI revision: 04
Detected scsi CD-ROM sr0 at scsi0, channel 0, id 4, lun 0
(scsi1:0:6:0) Synchronous at 10.0 Mbyte/sec, offset 15.
  Vendor: ARCHIVE   Model: Python 04106-XXX  Rev: 7350
  Type:   Sequential-Access                  ANSI SCSI revision: 02
sr0: scsi3-mmc drive: 32x/32x writer cd/rw xa/form2 cdda tray
megaraid: v1.04 (August 16, 1999)
megaraid: found 0x8086:0x1960:idx 0:bus 2:slot 9:func 1
scsi2 : Found a MegaRAID controller at 0xd0025000, IRQ: 5
megaraid: [3.00:1.36] detected 1 logical drives
scsi2 : AMI MegaRAID 3.00 254 commands 16 targs 1 chans 8 luns
scsi : 3 hosts.
scsi2: scanning channel 1 for devices.
scsi2: scanning virtual channel for logical drives.
  Vendor: MegaRAID  Model: LD0 RAID5 34556R  Rev: 3.00
  Type:   Direct-Access                      ANSI SCSI revision: 02
Detected scsi disk sda at scsi2, channel 1, id 0, lun 0
SCSI device sda: hdwr sector= 512 bytes. Sectors= 70770688 [34556 MB] 
[34.6 GB]
 sda: sda1 sda2 < sda5 sda6 sda7 sda8 >
autodetecting RAID arrays
autorun ...
... autorun DONE.
VFS: Mounted root (ext2 filesystem) readonly.
change_root: old root has d_count=1
Trying to unmount old root ... okay
Freeing unused kernel memory: 64k freed
Adding Swap: 289128k swap-space (priority -1)
Creative SBLive! at 0xccc0 on irq 10
st: bufsize 32768, wrt 30720, max buffers 4, s/g segs 16.
Detected scsi tape st0 at scsi1, channel 0, id 6, lun 0
eth0: OEM i82557/i82558 10/100 Ethernet at 0xcc80, 00:90:27:D6:02:54, IRQ 
11.
  Receiver lock-up bug exists -- enabling work-around.
  Board assembly 735190-002, Physical connectors present: RJ45
  Primary interface chip i82555 PHY #1.
  General self-test: passed.
  Serial sub-system self-test: passed.
  Internal registers self-test: passed.
  ROM checksum self-test: passed (0x04f4518b).
scsi3 : SCSI host adapter emulation for IDE ATAPI devices
scsi : 4 hosts.
Comment 1 Michael Fulbright 2000-12-18 12:36:45 EST
Are there any messages on VC3 or VC4 when you see this dialog box (hit cntl-alt
f3 and cntl-alt-f4)?
Comment 2 Need Real Name 2000-12-18 12:59:55 EST
no messages on VC3 and VC4. what i've done: boot from cd with update discette 
until window new install: server, ws, upgrade existing, etc. press enter -> 
then failure comes. before pressing "ok" looking for changes on vc3 and vc4 -> 
nothing.

the last few lines on vc3 BEFORE pressing "update existing system":
"going to insmod raidx (path is NULL)"
"going to insmod fat.o (path is NULL)"
"going to insmod vfat.o (path is NULL)"
"going to insmod ext3.o (path is NULL)"

the last few lines on vc4 BEFORE pressing "update existing system":
"raidx personality registred"

i have the feeling that something with the raid driver is not ok. 
a "cat /proc/scsi/xx" doesn't show the raid adapter

a "cat /proc/modules" shows: 
 megaraid (initializing)


Comment 3 Michael Fulbright 2000-12-27 12:11:25 EST
Assigning to a developer.
Comment 4 Matt Wilson 2000-12-27 12:19:53 EST
Check to make sure that you have the latest MegaRAID firmware on your
card.
Comment 5 Need Real Name 2000-12-28 09:38:11 EST
problem can be resolved by updating firmware of megaraid perc2/sc controller. i 
had version 3.00. DELL has 3.14 on their support site which fixes the problem.
Comment 6 Matt Wilson 2000-12-28 09:58:28 EST
That's what I thought it was.  The older firmware had a bug that caused data
corruption, so we forced the driver to fail to initialize if the buggy firmware
is detected.

Note You need to log in before you can comment on or make changes to this bug.